<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">

		let numeros=[], num1=0, num2=0, encontrado1=false, encontrado2=false;
		
		for (i=0;i<=9;i++) {

		numeros[i]=Number(prompt("Introduce un número entero"));

	}

	num1=Number(prompt("Introduce un número adicional"));
	num2=Number(prompt("Introduce otro número adicional"));

	for (i=0;i<=9;i++) {
		if(num1==numeros[i]) {

			encontrado1=true;
			
		}

		if(num2==numeros[i]) {

			encontrado2=true;
			
		}



	}

	if (encontrado1==true){

	document.write("El número "+num1+" está en tu array"+"<br>");

	}

	if (encontrado2==true){

	document.write("El número "+num2+" está en tu array"+"<br>");

	}

	// versión corta. Hay que poner el número que se busca y la posición en la que se empieza a buscar.
	// document.write(numeros.indexOf(num1,0)+"<br>");
	// document.write(numeros.indexOf(num2,0)+"<br>");


	</script>
</head>
<body>
	
</body>
</html>